aboutsummaryrefslogtreecommitdiffstats
path: root/rc.d/init.d/netfs
diff options
context:
space:
mode:
Diffstat (limited to 'rc.d/init.d/netfs')
-rwxr-xr-xrc.d/init.d/netfs60
1 files changed, 33 insertions, 27 deletions
diff --git a/rc.d/init.d/netfs b/rc.d/init.d/netfs
index 8d9854fb..d3f22714 100755
--- a/rc.d/init.d/netfs
+++ b/rc.d/init.d/netfs
@@ -9,10 +9,17 @@
# chkconfig: 345 25 75
# description: Mounts and unmounts all Network File System (NFS), \
# CIFS (Lan Manager/Windows), and NCP (NetWare) mount points.
+#
### BEGIN INIT INFO
# Provides: $remote_fs
-# Short-Description: Mount and unmount network filesystems.
-# Description: Mount and unmount network filesystems.
+# Required-Start: $network
+# Should-Start: $portmap nfs-common
+# Required-Stop: $network
+# Should-Stop: $portmap nfs-common
+# Default-Start: 3 4 5
+# Short-Description: Mount network filesystems.
+# Description: Mounts and unmounts all Network File System (NFS),
+# SMB/CIFS (Lan Manager/Windows), and NCP (NetWare) mount points.
### END INIT INFO
[ -f /etc/sysconfig/network ] || exit 0
@@ -36,11 +43,10 @@ case "$1" in
[ "$EUID" != "0" ] && exit 4
[ -n "$NFSFSTAB" ] &&
{
- [ ! -f /var/lock/subsys/rpcbind ] && service rpcbind start
- action $"Mounting NFS filesystems: " mount -a -t nfs,nfs4
+ action "Mounting NFS filesystems: " mount -a -t nfs,nfs4
}
- [ -n "$CIFSFSTAB" ] && action $"Mounting CIFS filesystems: " mount -a -t cifs
- [ -n "$NCPFSTAB" ] && action $"Mounting NCP filesystems: " mount -a -t ncpfs
+ [ -n "$CIFSFSTAB" ] && action "Mounting CIFS filesystems: " mount -a -t cifs
+ [ -n "$NCPFSTAB" ] && action "Mounting NCP filesystems: " mount -a -t ncpfs
[ -n "$NETDEVFSTAB" ] &&
{
if [ -f /etc/mdadm.conf ]; then
@@ -55,7 +61,7 @@ case "$1" in
fi
if [ -x /sbin/lvm ]; then
if /sbin/lvm vgscan > /dev/null 2>&1 ; then
- action $"Setting up Logical Volume Management:" /sbin/lvm vgchange -a y
+ action "Setting up Logical Volume Management:" /sbin/lvm vgchange -a y
fi
fi
@@ -63,7 +69,7 @@ case "$1" in
init_crypto 1
fi
- STRING=$"Checking network-attached filesystems"
+ STRING=`gprintf "Checking network-attached filesystems"`
echo $STRING
fsck -A -T -R -a -t opts=_netdev
@@ -85,11 +91,11 @@ case "$1" in
tty >/dev/null 2>&1 || exit 1
echo
echo
- echo $"*** An error occurred during the file system check."
- echo $"*** Dropping you to a shell; the system will reboot"
- echo $"*** when you leave the shell."
+ gprintf "*** An error occurred during the file system check.\n"
+ gprintf "*** Dropping you to a shell; the system will reboot\n"
+ gprintf "*** when you leave the shell.\n"
- str=$"(Repair filesystem)"
+ str=`gprintf "(Repair filesystem)"`
PS1="$str \# # "; export PS1
[ "$SELINUX" = "1" ] && disable_selinux
sulogin
@@ -98,7 +104,7 @@ case "$1" in
fi
}
touch /var/lock/subsys/netfs
- action $"Mounting other filesystems: " mount -a -t nonfs,nfs4,cifs,ncpfs,gfs
+ action "Mounting other filesystems: " mount -a -t nonfs,nfs4,cifs,ncpfs,gfs -O noencrypted
;;
stop)
# Unmount loopback stuff first
@@ -107,14 +113,14 @@ case "$1" in
if [ -n "$NETDEVMTAB" ]; then
__umount_loop '$4 ~ /_netdev/ && $2 != "/" {print $2}' \
/etc/mtab \
- $"Unmounting network block filesystems: " \
- $"Unmounting network block filesystems (retry): "
+ "Unmounting network block filesystems: " \
+ "Unmounting network block filesystems (retry): "
fi
if [ -n "$NFSMTAB" ]; then
__umount_loop '$3 ~ /^nfs/ && $3 != "nfsd" && $2 != "/" {print $2}' \
/proc/mounts \
- $"Unmounting NFS filesystems: " \
- $"Unmounting NFS filesystems (retry): " \
+ "Unmounting NFS filesystems: " \
+ "Unmounting NFS filesystems (retry): " \
"-f -l"
fi
if [ -n "$CIFSMTAB" ]; then
@@ -132,39 +138,39 @@ case "$1" in
status)
if [ -f /proc/mounts ] ; then
[ -n "$NFSFSTAB" ] && {
- echo $"Configured NFS mountpoints: "
+ gprintf "Configured NFS mountpoints: \n"
for fs in $NFSFSTAB; do echo $fs ; done
}
[ -n "$CIFSFSTAB" ] && {
- echo $"Configured CIFS mountpoints: "
+ gprintf "Configured CIFS mountpoints: \n"
for fs in $CIFSFSTAB; do echo $fs ; done
}
[ -n "$NCPFSTAB" ] && {
- echo $"Configured NCP mountpoints: "
+ gprintf "Configured NCP mountpoints: \n"
for fs in $NCPFSTAB; do echo $fs ; done
}
[ -n "$NETDEVFSTAB" ] && {
- echo $"Configured network block devices: "
+ gprintf "Configured network block devices: \n"
for fs in $NETDEVFSTAB; do echo $fs ; done
}
[ -n "$NFSMTAB" ] && {
- echo $"Active NFS mountpoints: "
+ gprintf "Active NFS mountpoints: \n"
for fs in $NFSMTAB; do echo $fs ; done
}
[ -n "$CIFSMTAB" ] && {
- echo $"Active CIFS mountpoints: "
+ gprintf "Active CIFS mountpoints: \n"
for fs in $CIFSMTAB; do echo $fs ; done
}
[ -n "$NCPMTAB" ] && {
- echo $"Active NCP mountpoints: "
+ gprintf "Active NCP mountpoints: \n"
for fs in $NCPMTAB; do echo $fs ; done
}
[ -n "$NETDEVMTAB" ] && {
- echo $"Active network block devices: "
+ gprintf "Active network block devices: \n"
for fs in $NETDEVMTAB; do echo $fs ; done
}
else
- echo $"/proc filesystem unavailable"
+ gprintf "/proc filesystem unavailable\n"
fi
[ -r /var/lock/subsys/netfs ] || exit 3
;;
@@ -178,7 +184,7 @@ case "$1" in
exit $?
;;
*)
- echo $"Usage: $0 {start|stop|restart|reload|status}"
+ gprintf "Usage: %s\n" "$(basename $0) {start|stop|restart|reload|status}"
exit 2
esac